Check Point Reference:CPAI-2012-1290
Date Published: 23 Dec 2012
Severity: Medium
Last Updated:
Source: CVE-2011-1140
Protection Provided by:

Security Gateway
R75

Who is Vulnerable? Wireshark1.0.x
Wireshark 1.2.0 - 1.2.14
Wireshark 1.4.0 - 1.4.3
Vulnerability Description Multiple stack consumption vulnerabilities have been reported in Wireshark.
Vulnerability DetailsThe vulnerabilities are due to an infinite recursion error in the dissect_ms_compressed_string and dissect_mscldap_string functions. A remote attacker can exploit these vulnerabilities by sending a specially crafted SMB or Connection-less LDAP (CLDAP) packet to the target. Successful exploitation would cause the service to crash, resulting in a denial of service condition.

Protection Overview

This protection will detect and block attempts to exploit these vulnerabilities.

In order for the protection to be activated, update your product to the latest update. For information on how to update , go to SBP-2006-05, Protection tab and select the version of your choice.

  1. In the IPS tab, click Protections and find the Wireshark CLDAP Dissector Denial of Service protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

SmartView Tracker will log the following entries:
Attack Name: LDAP Protection Violation
Attack Information: Wireshark CLDAP Dissector Denial of Service